Name:           vesso-fs-release       
Version:        5 
Release:        0.el5.vesso.fs
Summary:        File Systems - Vesso's Packages repository configuration

Group:          System Environment/Base 
License:        GPL 
URL:            http://rpm.vesselin.org/redhat/el5-dirsrv

Source0:        RPM-GPG-KEY-vesso.fs
Source1:        GPL	
Source2:        vesso-fs.repo	

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >=  %{version} 

%description
This package contains the Vesso's Packages for Enterprise Linux repository
GPG key as well as configuration for yum. The repository contanins
drivers for external filesystems and utils.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -Dpm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-vesso.fs


%changelog
* Sun Apr 20 2008 Vesselin Kolev <http://rpm.vesselin.org> - 5-0
- initial release for Red Hat Enterprise Linux 5
